Package Scientific :: Package BSP :: Class ParIndexIterator

[frames] | no frames]

# Class ParIndexIterator

    object --+
             |
            ParIndexIterator

Parallel index iterator

A ParIndexIterator is used to loop index by index over one or more distributed sequences. At each iteration, the returned item (a ParIndex object) contains indices of different elements of the distributed sequence(s). The index objects can be used to index any ParValue object whose local value is a sequence object.

Instance Methods

__getitem__(self, item) |

__init__(self, sequence) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, sequence)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `sequence` (ParSequence) - a global object representing a distributed sequence
Overrides: object.__init__